Page MenuHomePhabricator

Drop support for API style XML output from Special:EntityData
Closed, ResolvedPublic

Description

Special:EntityData currently supports various RDF serializations, as well as API style JSON and XML. Dropping support for the API style XML would allow us to remove the awkward dependency and ugly code caused by abusing the API classes for generating the output of a special page.
Instead, we would generate the JSON output directly, like we do for JSON dumps and DB storage.

Note that the API style XML format is not documented for Wikibase, it's basically an artifact how how the MediaWiki API works. It's use is discouraged even for the API, and I see no reason we should expose it via our linked data interface.

Event Timeline

daniel created this task.Mar 20 2015, 2:02 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 2:02 PM

Change 201487 had a related patch set uploaded (by Aude):
Drop support for xml format in Special:EntityData

https://gerrit.wikimedia.org/r/201487

aude claimed this task.Apr 2 2015, 5:11 PM

Change 201487 merged by jenkins-bot:
Drop support for xml format in Special:EntityData

https://gerrit.wikimedia.org/r/201487

hoo closed this task as Resolved.Apr 5 2015, 1:25 AM
hoo moved this task from Review to Done on the § Wikidata-Sprint-2015-03-24 board.